/**
 * @(#)file    FileListBiz.java
 * @(#)author  chj
 * @(#)version 1.0
 * @(#)date    2014-06-24
 * @(#)since   JDK1.7
 *
 * Copyright (c)  www.udapsoft.co.kr, Inc.
 */
package kr.co.udapsoft.ebid.buyer.common.file.biz;

import kr.co.hsnc.common.sql.RowSet;
import kr.co.hsnc.common.util.ValueObject;
import kr.co.udapsoft.ebid.buyer.common.file.FileManager;

import com.udapsoft.modular.web.ibsheet7.IBSheet7Factory;
import com.udapsoft.waf.system.Biz;
import com.udapsoft.waf.system.HandlerStorage;

/**
 * 첨부파일 목록 조회
 */
public class FileListBiz extends Biz {

	public FileListBiz(HandlerStorage storage) {

		super(storage);
	}

	/** 
     * 첨부파일 목록을 리턴한다.
	 */
	public void doBiz() throws Exception {

        String fileGB = params.get("file_gb");
        String ID     = params.get("id");

        if(storage.compareEvent("GET_FILE_LIST")){
        	
        	RowSet fileListRowSet = FileManager.getFileList(fileGB, ID); 
        	params.set("sheet1", fileListRowSet);
        	storage.addObject("ibsheet7Data", IBSheet7Factory.createIBSheet7(params, storage.request));
        }
        else if(storage.compareEvent("GET_FILE_LIST_TEXTAREA")){
        	if("".equals(ID) || ID == null){
        		ID = params.get("file_id");
        	}
        	ValueObject  vo = new ValueObject();
        	vo.set("file_txt_list", FileManager.getFileListForTextarea(fileGB, ID)); 
            storage.addValueObject("VALUEOBJECT", vo);
        }
		
	}
}
